Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 15636

Description

When a marker symbol is composed of a simple symbol and a svg symbol, if marker scale option is set to «area», then the simple symbol

scales ok, but svg symbol scales with height and not area. Therefore they are not synced.

Way to reproduce :

    -  open a point layer

    -  edit style with a new marker symbol

    -  add a svg sub-symbol

    -  add a simple sub-symbol, for example a circle just around the svg icon

    -  set the marker scale field to a numeric field

    -  set the marker scale to «area»

    -  apply

For most of the points (field values > 1), the svg part of the symbol will be bigger than the circle, instead of growing on a area-based scale

too.

History

#1 - 2014-06-28 07:42 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#2 - 2015-12-13 06:49 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

it seems to be fixed, at least in QGIS 2.13. There is no more scale parameter (perhaps replaced with size) and the size parameter on the whole marker

style (SVG + Simple) just sets the size of all the marker components: a size of 5.5 at the upper style level will be used for SVG level and Simple level.

I think we can close this bug. Can you confirm ?

#3 - 2015-12-30 03:40 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

closing as it seems fixed and for the lack of feedback, please reopen if necessary.
